#include "LeafSimulationResult.h"

void LeafSimulationResult::addSimulationResult(AbstractSimulationResultDTO *abstractResultDTO) {
	throw "Cannot add to leaf";
}

bool LeafSimulationResult::deleteSimulationResult(AbstractSimulationResultDTO *abstractResultDTO) {
	throw "Cannot delete from leaf";
}

//string* LeafSimulationResult::getID()
//{
//	throw "General Leaf Class - NO ID";
//}
//
//
//int LeafSimulationResult::getType()
//{
//	throw "General Leaf Class - NO TYPE";
//}

bool LeafSimulationResult::isLeaf(){
	return true;
}

list<AbstractSimulationResultDTO*>* LeafSimulationResult::getChildren(){
	throw "A Leaf has no Children";
}

